Skip to main content
GET
Get a finding in a repository.

Path Parameters

repo_id
string<uuid>
required
finding_ref
required

Reference to a finding, either a finding id or finding number.

Response

Finding with optional researcher stats

Finding within a respository.

id
string<uuid>
required
number
integer<int32>
required
attributedTo
string<uuid>
required

Team id.

title
string
required
description
string
required
status
enum<string>
required

Status of a [Finding]. Note that the in_review status is only applicable within bounties.

Available options:
new,
in_review,
disputed,
rejected,
spam,
duplicate,
confirmed,
acknowledged,
fixed,
withdrawn
severity
enum<string>
required

Severity of a [Finding].

Available options:
critical,
high,
medium,
low,
informational,
gas_optimization
createdBy
object
required

User data in the context of a repository.

createdAt
string<date-time>
required
lastUpdatedAt
string<date-time>
required
locked
boolean
required
hasUnreadComments
boolean
required

Whether this finding has comments unread by the current user.

unreadCommentsNumber
integer<int32>
required

The number of comments this finding has that are unread by the current user.

repository
null | object

Only returned by list_all_findings.

company
null | object

Only returned by list_all_findings.

reward
string | null
fixedBy
string[]
duplicateOf
null | object

The root finding this finding is a duplicate of.

duplicates
object[]

All findings that are a duplicate of this finding.

For findings that have no duplicates, this will be empty.

duplicateGroup
null | object

Only returned for admins, judges and triagers.

likelihood
null | enum<string>

Likelihood of a [Finding].

Available options:
high,
medium,
low
impact
null | enum<string>

Impact of a [Finding].

Available options:
high,
medium,
low
quality
null | enum<string>

Only returned for admins, judges and triagers.

Available options:
high,
medium,
low
category
string | null

Only returned for admins.

labels
object[]
assignedTo
null | object

User assigned to the finding.

assetGroup
null | object

Group of [Asset]s.

lastCommentAt
string<date-time> | null

Timestamp of the most recent comment on this finding, if any.

safeHarborAssets
object[]
note
string | null

Note field for additional finding information.

paymentId
string<uuid> | null

Payment ID linked to this finding, if any.

paymentStatus
null | enum<string>

Status of the payment linked to this finding, if any.

Available options:
planned,
scheduled,
submitted,
disputed,
executed,
rejected,
failed,
cancelled
researcherStats
null | object